For the complete documentation index, see llms.txt. This page is also available as Markdown.

Send order content by email

Send order content by email.

Content and form is decided by type. orderItemUids is omitted when type is RECEIPT

Required permissions: SALES_ORDER,RETURN_ORDER

post
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/email
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
typestring · enum · min: 1Required
ENUMDescription
RECEIPTSend sales receipt as email
GIFTCARDSend giftcard as email
Possible values:
emailstringRequired
orderItemUidsstring[]Optional
Responses
201

Created

No content

post/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/email
POST /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/email HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 58

{
  "type": "RECEIPT",
  "email": "text",
  "orderItemUids": [
    "text"
  ]
}

No content

Last updated

Was this helpful?